corelinux::Synchronized::Guard Class Reference

Guard is the automatic instance that insures a lock is not held beyond the scope where it was instantiated. More...

`#include <Synchronized.hpp>`

## Public Member Functions

| Guard (GuardCref)
| Default constructor.
| ~Guard (void)
| Destructor.
void | release (void)
| Releases before destruction.

## Protected Member Functions

| Guard (SynchronizedPtr)
| Called by Synchronized object.
| Guard (void)
| Default constructor never called.
GuardRef | operator= (GuardCref)
| Assignment operator never called.

## Friends

class | Synchronized

## Detailed Description

Guard is the automatic instance that insures a lock is not held beyond the scope where it was instantiated.

The documentation for this class was generated from the following files:

- Synchronized.hpp
- Synchronized.cpp

This is the CoreLinux++ reference manual
Provided by The CoreLinux Consortium